Bug 240669 - New port: security/pam_script Allows to hook user space scripts on PAM events
Summary: New port: security/pam_script Allows to hook user space scripts on PAM events
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-18 15:52 UTC by Natalino Picone
Modified: 2019-09-30 20:40 UTC (History)
1 user (show)

See Also:


Attachments
pam_script port (3.90 KB, text/plain)
2019-09-18 15:52 UTC, Natalino Picone
no flags Details
pam_script port fixed (3.83 KB, text/plain)
2019-09-19 07:17 UTC, Natalino Picone
no flags Details
Fixed port (3.70 KB, text/plain)
2019-09-27 12:27 UTC, Rodrigo Osorio
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Natalino Picone 2019-09-18 15:52:54 UTC
Created attachment 207606 [details]
pam_script port

PAM-script allows you to execute scripts during authorization, passwd changes, or session opening or closing.

So if you need extra work done after login you can use this pam module to execute a session script.
Comment 1 Natalino Picone 2019-09-19 07:17:57 UTC
Created attachment 207613 [details]
pam_script port fixed
Comment 2 Rodrigo Osorio freebsd_committer 2019-09-27 12:27:40 UTC
Created attachment 207885 [details]
Fixed port

The port has some errors, I fix them and now
the it pass the poudrier / portlint checks.

Please review my changes and let me know if it's ok for you

Usually for ports PR when peoples provide a patch or a shar
a poudriere status/log is required to ensure they match the
expected quality.
Comment 3 Natalino Picone 2019-09-27 14:55:06 UTC
(In reply to Rodrigo Osorio from comment #2)
Thanks for the review ... your changes lgtm ..
Comment 4 commit-hook freebsd_committer 2019-09-30 20:39:13 UTC
A commit references this bug:

Author: rodrigo
Date: Mon Sep 30 20:38:31 UTC 2019
New revision: 513412
URL: https://svnweb.freebsd.org/changeset/ports/513412

Log:
  New port security/pam_script

  PAM script module allows to hook user space scripts on PAM events

  PR:		240669
  Submitted by:	Natalino Picone <natalino.picone@nozominetworks.com>

Changes:
  head/security/Makefile
  head/security/pam_script/
  head/security/pam_script/Makefile
  head/security/pam_script/distinfo
  head/security/pam_script/files/
  head/security/pam_script/files/patch-etc_pam__script
  head/security/pam_script/pkg-descr
  head/security/pam_script/pkg-plist
Comment 5 Rodrigo Osorio freebsd_committer 2019-09-30 20:40:02 UTC
Committed with changes, thanks.